Bug 606064 - Review Request: libfc14audiodecoder - C wrapper library for Future Composer audio decoding
Summary: Review Request: libfc14audiodecoder - C wrapper library for Future Composer a...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-20 10:27 UTC by Michael Schwendt
Modified: 2010-06-26 10:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-26 10:40:53 UTC
michel: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Michael Schwendt 2010-06-20 10:27:17 UTC
Spec URL: http://mschwendt.fedorapeople.org/libfc14audiodecoder.spec
SRPM URL: http://mschwendt.fedorapeople.org/libfc14audiodecoder-1.0.0-1.fc13.src.rpm
Description: This library provides a C API for a Future Composer audio decoder, which
has been used in several plug-ins for versatile audio players like XMMS,
BMP, Audacious and GStreamer.


This library will be needed for future updates of gstreamer-plugins-fc and audacious-plugin-fc.

Comment 1 Michel Alexandre Salim 2010-06-25 11:23:09 UTC
Everything looks in good shape. APPROVED

* DONE Review [100%]
** DONE Names [2/2]
*** DONE Package name
*** DONE Spec name
** DONE Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
** DONE source files match upstream
   sha1sum: f11f7aff4f59c669a07a5f3481cb69505270b008
** DONE License [3/3]
*** DONE License is Fedora-approved
*** DONE License field accurate
    all C++ source files have the "later version" provision
*** DONE License included iff packaged by upstream
** DONE rpmlint [2/2]
*** DONE on src.rpm
    libfc14audiodecoder.src: E: unknown-key GPG#b8af1c54
    -> private signing key, ignoring "error"
    libfc14audiodecoder.src: W: no-buildroot-tag
    -> fine for F-13+

*** DONE on x86_64.rpm
    Spurious warnings from rpmlint spellcheck; can be ignored

** DONE Language & locale [3/3]
*** DONE Spec in US English
*** DONE Spec legible
*** N/A Use %find_lang to handle locale files
** DONE Build [3/3]
*** DONE Koji results
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2271926
*** DONE BRs complete
*** DONE Directory ownership
** DONE Spec inspection [8/8]
*** DONE ldconfig for libraries
*** DONE No duplicate files
*** DONE File permissions
*** DONE Filenames must be UTF-8
*** DONE Has %clean section
    (except F-13+:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean)
*** DONE %buildroot cleaned on %install
2*** DONE Macro usage consistent
*** DONE Documentation [2/2]
**** N/A If large docs, separate -doc
**** DONE %doc files are non-essential
*** DONE Development [5/5]
**** DONE Headers in -devel
**** DONE If versioned .so's, unversioned in -devel
**** N/A Static only if necessary, put in -static
**** DONE -devel, -static requires main
**** DONE No .la

Comment 2 Michael Schwendt 2010-06-25 17:39:07 UTC
Great! Thank you!


New Package CVS Request
=======================
Package Name: libfc14audiodecoder
Short Description: C wrapper library for Future Composer audio decoding
Owners: mschwendt
Branches: F-12 F-13
InitialCC:

Comment 3 Jason Tibbitts 2010-06-26 08:02:46 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.